GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/sh-nbsd-tdep.c File Reference
`#include "defs.h"`
`#include "gdbcore.h"`
`#include "regset.h"`
`#include "value.h"`
`#include "osabi.h"`
`#include "sh-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static void | shnbsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_shnbsd_tdep (void)

## Variables
static const struct sh_corefile_regmap | regmap []

## Function Documentation

## ◆ _initialize_shnbsd_tdep()

void _initialize_shnbsd_tdep | ( | void |  | ) |

Definition at line 74 of file sh-nbsd-tdep.c.

References GDB_OSABI_NETBSD, GDB_OSABI_OPENBSD, gdbarch_register_osabi(), and shnbsd_init_abi().

## ◆ shnbsd_init_abi()

static void shnbsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 61 of file sh-nbsd-tdep.c.

References gdbarch_tdep::core_gregmap, gdbarch_tdep(), regmap, set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::sizeof_gregset, and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_shnbsd_tdep().

## Variable Documentation

## ◆ regmap

const struct sh_corefile_regmap regmap[]
| static

Initial value:
=
{
{R0_REGNUM, 20 * 4},
{R0_REGNUM + 1, 19 * 4},
{R0_REGNUM + 2, 18 * 4},
{R0_REGNUM + 3, 17 * 4},
{R0_REGNUM + 4, 16 * 4},
{R0_REGNUM + 5, 15 * 4},
{R0_REGNUM + 6, 14 * 4},
{R0_REGNUM + 7, 13 * 4},
{R0_REGNUM + 8, 12 * 4},
{R0_REGNUM + 9, 11 * 4},
{R0_REGNUM + 10, 10 * 4},
{R0_REGNUM + 11, 9 * 4},
{R0_REGNUM + 12, 8 * 4},
{R0_REGNUM + 13, 7 * 4},
{R0_REGNUM + 14, 6 * 4},
{R0_REGNUM + 15, 5 * 4},
{PC_REGNUM, 0 * 4},
{SR_REGNUM, 1 * 4},
{PR_REGNUM, 2 * 4},
{MACH_REGNUM, 3 * 4},
{MACL_REGNUM, 4 * 4},
{-1 , 0}
}
SR_REGNUM
Definition: sh-tdep.h:38
PR_REGNUM
Definition: sh-tdep.h:33
PC_REGNUM
Definition: sh-tdep.h:32
MACH_REGNUM
Definition: sh-tdep.h:36
R0_REGNUM
Definition: m32r-tdep.h:32
MACL_REGNUM
Definition: sh-tdep.h:37

Definition at line 33 of file sh-nbsd-tdep.c.

Referenced by shnbsd_init_abi().